import { w as withInstall } from "../badge/index2.js";
import { defineComponent, useSlots, openBlock, createElementBlock, createElementVNode, unref, renderSlot, toDisplayString } from "vue";
import { u as useI18n } from "../datePicker/index2.js";
import { c as computed } from "../_chunks/@vue/index.js";
var _imports_0 = "data:image/svg+xml;base64,[encoded data, 21304 characters]";
var index = /* @__PURE__ */ (() => ".layui-empty{margin:0 8px;font-size:14px;line-height:22px;text-align:center}.layui-empty-image{margin-bottom:8px}.layui-empty-image img{height:100px;margin:auto}.layui-empty-description{margin:0}.layui-empty-extra{margin-top:30px}\n")();
const _hoisted_1 = { class: "layui-empty" };
const _hoisted_2 = { class: "layui-empty-image" };
const _hoisted_3 = {
  key: 1,
  class: "layui-empty-image-default",
  src: _imports_0
};
const _hoisted_4 = { class: "layui-empty-description" };
const _hoisted_5 = { class: "layui-empty-extra" };
const __default__ = {
  name: "LayEmpty"
};
const _sfc_main = defineComponent({
  ...__default__,
  props: {
    description: null,
    image: null
  },
  setup(__props) {
    const props = __props;
    const { t } = useI18n();
    const slots = useSlots();
    const description = computed(() => props.description ? props.description : t("empty.description"));
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createElementVNode("div", _hoisted_2, [
          unref(slots).image ? renderSlot(_ctx.$slots, "image", { key: 0 }) : (openBlock(), createElementBlock("img", _hoisted_3))
        ]),
        createElementVNode("div", _hoisted_4, toDisplayString(unref(description)), 1),
        createElementVNode("div", _hoisted_5, [
          renderSlot(_ctx.$slots, "extra")
        ])
      ]);
    };
  }
});
const component = withInstall(_sfc_main);
export { _sfc_main as _, component as c };
